<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html >
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">
<h:head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<!-- Required meta tags-->

	<meta charset="UTF-8" />

	<meta name="viewport"
		content="width=device-width, initial-scale=1, shrink-to-fit=no" />

	<meta name="description" content="au theme template" />

	<meta name="author" content="Hau Nguyen" />

	<meta name="keywords" content="au theme template" />
	<!-- Title Page-->

	<title>Dashboard</title>
	<!-- Fontfaces CSS-->
	<link href="css/font-face.css" rel="stylesheet" media="all"></link>
	<link href="vendor/font-awesome-4.7/css/font-awesome.min.css"
		rel="stylesheet" media="all"></link>
	<link href="vendor/font-awesome-5/css/fontawesome-all.min.css"
		rel="stylesheet" media="all"></link>
	<link href="vendor/mdi-font/css/material-design-iconic-font.min.css"
		rel="stylesheet" media="all"></link>

	<!-- Bootstrap CSS-->
	<link href="vendor/bootstrap-4.1/bootstrap.min.css" rel="stylesheet"
		media="all"></link>

	<!-- Vendor CSS-->
	<link href="vendor/animsition/animsition.min.css" rel="stylesheet"
		media="all"></link>
	<link
		href="vendor/bootstrap-progressbar/bootstrap-progressbar-3.3.4.min.css"
		rel="stylesheet" media="all"></link>
	<link href="vendor/wow/animate.css" rel="stylesheet" media="all"></link>
	<link href="vendor/css-hamburgers/hamburgers.min.css" rel="stylesheet"
		media="all"></link>
	<link href="vendor/slick/slick.css" rel="stylesheet" media="all"></link>
	<link href="vendor/select2/select2.min.css" rel="stylesheet"
		media="all"></link>
	<link href="vendor/perfect-scrollbar/perfect-scrollbar.css"
		rel="stylesheet" media="all"></link>

	<!-- Main CSS-->
	<link href="css/theme.css" rel="stylesheet" media="all"></link>
	<style>
.menu-sidebar__content {
	background: #C9D6FF; /* fallback for old browsers */
	background: -webkit-linear-gradient(to left, #E2E2E2, #C9D6FF);
	/* Chrome 10-25, Safari 5.1-6 */
	background: linear-gradient(to left, #E2E2E2, #C9D6FF);
	/* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}
</style>
</h:head>

<body>

	<div class="page-wrapper">
		<header class="header-mobile d-block d-lg-none">

			<div class="header-mobile__bar">

				<div class="container-fluid">

					<div class="header-mobile-inner">
						<a class="logo" href="index.html"> <img
							src="images/icon/logo.png" alt="CoolAdmin" />
						</a>
						<button class="hamburger hamburger--slider" type="button">
							<span class="hamburger-box"> <span class="hamburger-inner" />
							</span>
						</button>
					</div>
				</div>
			</div>
			<nav class="navbar-mobile">

				<div class="container-fluid">

					<ul class="navbar-mobile__list list-unstyled">

						<li class="has-sub"><a class="js-arrow" href="#"> <i
								class="fas fa-tachometer-alt" />Dashboard
						</a>

							<ul class="navbar-mobile-sub__list list-unstyled js-sub-list">

								<li><a href="index.html">Dashboard 1</a></li>

								<li><a href="index2.html">Dashboard 2</a></li>

								<li><a href="index3.html">Dashboard 3</a></li>

								<li><a href="index4.html">Dashboard 4</a></li>
							</ul></li>

						<li><a href="chart.html"> <i class="fas fa-chart-bar" />Charts
						</a></li>

						<li><a href="table.html"> <i class="fas fa-table" />Tables
						</a></li>

						<li><a href="form.html"> <i class="far fa-check-square" />Forms
						</a></li>

						<li><a href="calendar.html"> <i
								class="fas fa-calendar-alt" />Calendar
						</a></li>

						<li><a href="map.html"> <i class="fas fa-map-marker-alt" />Maps
						</a></li>

						<li class="has-sub"><a class="js-arrow" href="#"> <i
								class="fas fa-copy" />Pages
						</a>

							<ul class="navbar-mobile-sub__list list-unstyled js-sub-list">

								<li><a href="login.html">Login</a></li>

								<li><a href="register.html">Register</a></li>

								<li><a href="forget-pass.html">Forget Password</a></li>
							</ul></li>

						<li class="has-sub"><a class="js-arrow" href="#"> <i
								class="fas fa-desktop" />UI Elements
						</a>

							<ul class="navbar-mobile-sub__list list-unstyled js-sub-list">

								<li><a href="button.html">Button</a></li>

								<li><a href="badge.html">Badges</a></li>

								<li><a href="tab.html">Tabs</a></li>

								<li><a href="card.html">Cards</a></li>

								<li><a href="alert.html">Alerts</a></li>

								<li><a href="progress-bar.html">Progress Bars</a></li>

								<li><a href="modal.html">Modals</a></li>

								<li><a href="switch.html">Switchs</a></li>

								<li><a href="grid.html">Grids</a></li>

								<li><a href="fontawesome.html">Fontawesome Icon</a></li>

								<li><a href="typo.html">Typography</a></li>
							</ul></li>
					</ul>
				</div>
			</nav>
		</header>
		<aside class="menu-sidebar d-none d-lg-block">

			<div class="logo">
				<a href="#"> <img src="images/icon/logo2.png" alt="ADVYTEM" />
				</a>
			</div>

			<div class="menu-sidebar__content js-scrollbar1">
				<nav class="navbar-sidebar">

					<ul class="list-unstyled navbar__list">

						<li class="active has-sub"><a class="js-arrow" href="#">
								<i class="fas fa-tachometer-alt" />Dashboard
						</a>

							<ul class="list-unstyled navbar__sub-list js-sub-list">

								<li><a href="index.html">Dashboard 1</a></li>

								<li><a href="index2.html">Dashboard 2</a></li>

								<li><a href="index3.html">Dashboard 3</a></li>

								<li><a href="index4.html">Dashboard 4</a></li>
							</ul></li>

						<li><a href="chart.html"> <i class="fas fa-chart-bar" />Charts
						</a></li>

						<li><a href="table.html"> <i class="fas fa-table" />Tables
						</a></li>

						<li><a href="form.html"> <i class="far fa-check-square" />Forms
						</a></li>

						<li><a href="calendar.html"> <i
								class="fas fa-calendar-alt" />Calendar
						</a></li>

						<li><a href="map.html"> <i class="fas fa-map-marker-alt" />Maps
						</a></li>

						<li class="has-sub"><a class="js-arrow" href="#"> <i
								class="fas fa-copy" />Pages
						</a>

							<ul class="list-unstyled navbar__sub-list js-sub-list">

								<li><a href="login.html">Login</a></li>

								<li><a href="register.html">Register</a></li>

								<li><a href="forget-pass.html">Forget Password</a></li>
							</ul></li>

						<li class="has-sub"><a class="js-arrow" href="#"> <i
								class="fas fa-desktop" />UI Elements
						</a>

							<ul class="list-unstyled navbar__sub-list js-sub-list">

								<li><a href="button.html">Button</a></li>

								<li><a href="badge.html">Badges</a></li>

								<li><a href="tab.html">Tabs</a></li>

								<li><a href="card.html">Cards</a></li>

								<li><a href="alert.html">Alerts</a></li>

								<li><a href="progress-bar.html">Progress Bars</a></li>

								<li><a href="modal.html">Modals</a></li>

								<li><a href="switch.html">Switchs</a></li>

								<li><a href="grid.html">Grids</a></li>

								<li><a href="fontawesome.html">Fontawesome Icon</a></li>

								<li><a href="typo.html">Typography</a></li>
							</ul></li>
					</ul>
				</nav>
			</div>
		</aside>

		<div class="page-container">
			<!-- HEADER DESKTOP-->
			<header class="header-desktop">

				<div class="section__content section__content--p30">

					<div class="container-fluid">

						<div class="header-wrap">
							<form class="form-header" action="">
								<input class="au-input au-input--xl" type="text" name="search"
									placeholder="Search for datas &amp; reports..." />
								<button class="au-btn--submit" type="submit">
									<i class="zmdi zmdi-search" />
								</button>
							</form>

							<div class="header-button">

								<div class="noti-wrap">

									<div class="noti__item js-item-menu">
										<i class="zmdi zmdi-comment-more" /> <span class="quantity">1</span>

										<div class="mess-dropdown js-dropdown">

											<div class="mess__title">

												<p>You have 2 news message</p>
											</div>

											<div class="mess__item">

												<div class="image img-cir img-40">
													<img src="images/icon/avatar-06.jpg" alt="Michelle Moreno" />
												</div>

												<div class="content">

													<h6>Michelle Moreno</h6>

													<p>Have sent a photo</p>
													<span class="time">3 min ago</span>
												</div>
											</div>

											<div class="mess__item">

												<div class="image img-cir img-40">
													<img src="images/icon/avatar-04.jpg" alt="Diane Myers" />
												</div>

												<div class="content">

													<h6>Diane Myers</h6>

													<p>You are now connected on message</p>
													<span class="time">Yesterday</span>
												</div>
											</div>

											<div class="mess__footer">
												<a href="#">View all messages</a>
											</div>
										</div>
									</div>

									<div class="noti__item js-item-menu">
										<i class="zmdi zmdi-email" /> <span class="quantity">1</span>

										<div class="email-dropdown js-dropdown">

											<div class="email__title">

												<p>You have 3 New Emails</p>
											</div>

											<div class="email__item">

												<div class="image img-cir img-40">
													<img src="images/icon/avatar-06.jpg" alt="Cynthia Harvey" />
												</div>

												<div class="content">

													<p>Meeting about new dashboard...</p>
													<span>Cynthia Harvey, 3 min ago</span>
												</div>
											</div>

											<div class="email__item">

												<div class="image img-cir img-40">
													<img src="images/icon/avatar-05.jpg" alt="Cynthia Harvey" />
												</div>

												<div class="content">

													<p>Meeting about new dashboard...</p>
													<span>Cynthia Harvey, Yesterday</span>
												</div>
											</div>

											<div class="email__item">

												<div class="image img-cir img-40">
													<img src="images/icon/avatar-04.jpg" alt="Cynthia Harvey" />
												</div>

												<div class="content">

													<p>Meeting about new dashboard...</p>
													<span>Cynthia Harvey, April 12,,2018</span>
												</div>
											</div>

											<div class="email__footer">
												<a href="#">See all emails</a>
											</div>
										</div>
									</div>

									<div class="noti__item js-item-menu">
										<i class="zmdi zmdi-notifications" /> <span class="quantity">3</span>

										<div class="notifi-dropdown js-dropdown">

											<div class="notifi__title">

												<p>You have 3 Notifications</p>
											</div>

											<div class="notifi__item">

												<div class="bg-c1 img-cir img-40">
													<i class="zmdi zmdi-email-open" />
												</div>

												<div class="content">

													<p>You got a email notification</p>
													<span class="date">April 12, 2018 06:50</span>
												</div>
											</div>

											<div class="notifi__item">

												<div class="bg-c2 img-cir img-40">
													<i class="zmdi zmdi-account-box" />
												</div>

												<div class="content">

													<p>Your account has been blocked</p>
													<span class="date">April 12, 2018 06:50</span>
												</div>
											</div>

											<div class="notifi__item">

												<div class="bg-c3 img-cir img-40">
													<i class="zmdi zmdi-file-text" />
												</div>

												<div class="content">

													<p>You got a new file</p>
													<span class="date">April 12, 2018 06:50</span>
												</div>
											</div>

											<div class="notifi__footer">
												<a href="#">All notifications</a>
											</div>
										</div>
									</div>
								</div>

								<div class="account-wrap">

									<div class="account-item clearfix js-item-menu">

										<div class="image">
											<img src="images/icon/avatar-01.jpg" alt="John Doe" />
										</div>

										<div class="content">
											<a class="js-acc-btn" href="#">john doe</a>
										</div>

										<div class="account-dropdown js-dropdown">

											<div class="info clearfix">

												<div class="image">
													<a href="#"> <img src="images/icon/avatar-01.jpg"
														alt="John Doe" />
													</a>
												</div>

												<div class="content">

													<h5 class="name">

														<a href="#">john doe</a>
													</h5>
													<span class="email">johndoe@example.com</span>
												</div>
											</div>

											<div class="account-dropdown__body">

												<div class="account-dropdown__item">
													<a href="#"> <i class="zmdi zmdi-account" />Account
													</a>
												</div>

												<div class="account-dropdown__item">
													<a href="#"> <i class="zmdi zmdi-settings" />Setting
													</a>
												</div>

												<div class="account-dropdown__item">
													<a href="#"> <i class="zmdi zmdi-money-box" />Billing
													</a>
												</div>
											</div>

											<div class="account-dropdown__footer">
												<h:form>
													<h:commandLink action="#{loginBean.doLogout()}">
														<i class="zmdi zmdi-power" />Logout
											</h:commandLink>
												</h:form>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</header>
			<!-- HEADER DESKTOP-->
			<!-- MAIN CONTENTtttttttttttttttttttttttttttttttttttttttttttttttttt-->

			<!-- Ajout**********************  -->
			<h:form class="form-horizontal">
				<br />
				<br />
				<br />
				<br />


				<!-- Affichage **********************  -->
				<!-- Filtre **********************  -->


				<!-- clock-in clock-out **********************  -->



				<div class="table-responsive m-b-40">
					<h:dataTable value="#{timesheetManager.list}" var="i"
						class="table table-borderless table-data3">


						<h:column>
							<f:facet name="header">
								<h:outputText value="Employee Name" />
							</f:facet>

							<h:outputText value="#{i.employee.firstname}" />

						</h:column>

						<h:column>
							<f:facet name="header">
								<h:outputText value="Employee LastName" />
							</f:facet>
							<h:outputText value="#{i.employee.lastName}" />
						</h:column>

						<h:column>
							<f:facet name="header">
								<h:outputText value="Total Hours" />
							</f:facet>
							<h:outputText value="#{i.totalHours}" />
						</h:column>

						<h:column>
							<f:facet name="header">
								<h:outputText value="Salary" />
							</f:facet>
							<h:outputText value="#{i.salary}">
							<f:convertNumber pattern="####.###"/>
							</h:outputText>
						</h:column>







					</h:dataTable>

				</div>
			</h:form>
			<!-- END MAIN CONTENT-->
			<!-- END PAGE CONTAINER-->
		</div>

	</div>

	<script src="vendor/jquery-3.2.1.min.js"></script>
	<!-- Bootstrap JS-->

	<script src="vendor/bootstrap-4.1/popper.min.js"></script>

	<script src="vendor/bootstrap-4.1/bootstrap.min.js"></script>
	<!-- Vendor JS       -->

	<script src="vendor/slick/slick.min.js">
		
	</script>

	<script src="vendor/wow/wow.min.js"></script>

	<script src="vendor/animsition/animsition.min.js"></script>

	<script src="vendor/bootstrap-progressbar/bootstrap-progressbar.min.js">
		
	</script>

	<script src="vendor/counter-up/jquery.waypoints.min.js"></script>

	<script src="vendor/counter-up/jquery.counterup.min.js">
		
	</script>

	<script src="vendor/circle-progress/circle-progress.min.js"></script>

	<script src="vendor/perfect-scrollbar/perfect-scrollbar.js"></script>

	<script src="vendor/chartjs/Chart.bundle.min.js"></script>

	<script src="vendor/select2/select2.min.js"></script>

	<script src="js/main.js"></script>



</body>
</html>